* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Gothic A1', sans-serif;
}

body {
    background-color: #FFFFFF; 
    height: 100vh;
    width: 100vw;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 15vh; 
    position: relative; 
    overflow: hidden; 
}

.background-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    overflow: hidden;
    padding: 40px; 
    pointer-events: none;
    opacity: 0.14; 
    color: #D63D42;

    font-size: 1rem;
    line-height: 1.8;       
    letter-spacing: 0.5rem;   
    word-break: break-all;    
    
    text-align: justify;    
    text-align-last: left;  
}


.container {
    position: relative;
    z-index: 10; 
    text-align: center;
}
/* Made it in to a brighter color */
.main-title {
    font-size: 5.5rem;
    color: #E00005;  
    font-weight: 600;  
    margin-bottom: 30px;
    letter-spacing: -2px;
}


.button-group {
    display: flex;
    gap: 15px; 
    justify-content: center;
}
/* Made it in to a brighter color to give a lighter look */
.nav-btn {
    display: inline-block;
    background-color: white;
    
    padding: 10px 30px 8px 30px; 
    
    font-size: 1.2rem;
    color: #2847E0;
    text-decoration: none;
    border: 2px solid #FF2620; 
    border-radius: 7px; /* Made it more sharper*/
    transition: all 0.3s ease;
    font-weight: 600; 
}

.nav-btn:hover {
    background-color: #FF2D43;
    color: #FFFFFF;
    transform: translateY(-3px);
}

/* 화면 너비가 768px 이하 usable for phone (small screen) */
@media (max-width: 768px) {
    body {
        height: 100vh;
        padding-bottom: 0; 
        overflow: hidden;
    }

    .background-overlay {
        padding: 15px; 
        font-size: 0.8rem; /* Background text smaller */
        line-height: 1.5;
        letter-spacing: 0.3rem;
    }

    .container {
        width: 100%;
        padding: 0 20px;
    }

    .main-title {
        font-size: 2.8rem; 
        margin-bottom: 40px;
        line-height: 1.1;
    }

    .button-group {
        /* 버튼을 세로로 Vertical */
        flex-direction: column;
        align-items: center;
        gap: 12px;
    }

    .nav-btn {
        width: 80%; 
        max-width: 250px;
        padding: 15px 0; /* to touch easy */
        font-size: 1.1rem;
        text-align: center;
    }
}